package com.fufan.mtsaas.modules.sysmgr.sylogtemp.service;

import com.baomidou.mybatisplus.service.IService;
import com.fufan.mtsaas.modules.common.bo.response.RequestPojo;
import com.fufan.mtsaas.modules.common.bo.response.Result;
import com.fufan.mtsaas.modules.sysmgr.sylogtemp.model.Syinperrormsg;
import com.fufan.mtsaas.modules.common.bo.response.RequestPojo;
import com.fufan.mtsaas.modules.common.bo.response.Result;

import java.util.Map;

/**
 *  服务类
 *
 * @author Liby
 * @since 2019-09-11
 */
public interface SyinperrormsgSvc extends IService<Syinperrormsg> {

    Result doQueryPage(Map<String, String> map);

    Result doSave(Syinperrormsg entity, RequestPojo requestPojo);

    Result doUpdate(Syinperrormsg entity, RequestPojo requestPojo);

    Result doDelete(Map<String, String> map, RequestPojo requestPojo);

    Result doSaveMap(String map, RequestPojo requestPojo);

    Result doUpdateMap(String map, RequestPojo requestPojo);
}
